org.eclipse.emf.spi.cdo

## Interface InternalCDOResource

- All Superinterfaces:
    CDOObject, CDOResource, CDOResourceLeaf, CDOResourceNode, CDOWithID, EObject, Notifier, Resource, Resource.Internal, XMLResource
  All Known Implementing Classes:
    CDOResourceImpl

      public interface InternalCDOResource
      extends CDOResource, Resource.Internal, XMLResource

  Internal protocol for the `CDOResource`.
  Since:
    4.2
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `XMLResource.ElementHandler, XMLResource.MissingPackageHandler, XMLResource.ResourceEntityHandler, XMLResource.ResourceHandler, XMLResource.URIHandler, XMLResource.XMLInfo, XMLResource.XMLMap`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource

      `Resource.Diagnostic, Resource.Factory, Resource.Internal, Resource.IOWrappedException`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResource

      `OPTION_SAVE_BASE_URI, OPTION_SAVE_OVERRIDE_TRANSACTION, OPTION_SAVE_PROGRESS_MONITOR, PREFETCH_PARAMETER`

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

    - ### Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_BINARY, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ELEMENT_HANDLER, OPTION_ENCODING, OPTION_ESCAPE_USING_CDATA, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LAX_WILDCARD_PROCESSING, OPTION_LINE_WIDTH, OPTION_MISSING_PACKAGE_HANDLER, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_PROXY_ATTRIBUTES, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_ENTITY_HANDLER, OPTION_RESOURCE_HANDLER, OPTION_ROOT_OBJECTS, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_SUPPRESS_DOCUMENT_ROOT, OPTION_URI_HANDLER, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PACKAGE_NS_URI_AS_LOCATION, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource

      `OPTION_CIPHER, OPTION_LINE_DELIMITER, OPTION_LINE_DELIMITER_UNSPECIFIED, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cdoInternalLoading(EObject object)` Informs the resource that an `object` contained within it is being loaded.
    `void` | `cdoInternalLoadingDone(EObject object)` Informs the resource that an `object` contained within it has finished being loaded.

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResource

      `getContents, getErrors, getResourceSet, getTimeStamp, getURI, getWarnings, isExisting, isLoaded, isModified, isTrackingModification, setModified, setResourceSet, setTimeStamp, setTrackingModification, setURI`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, getExtension, getFolder, getName, getPath, isRoot, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource.Internal

      `attached, basicSetResourceSet, detached, isLoading`

    - ### Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getXMLVersion, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, useZip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource

      `delete, getAllContents, getEObject, getURIFragment, load, load, save, save, unload`

- - ### Method Detail

    - #### cdoInternalLoading

          void cdoInternalLoading(EObject object)

      Informs the resource that an `object` contained within it is being loaded.

    - #### cdoInternalLoadingDone

          void cdoInternalLoadingDone(EObject object)

      Informs the resource that an `object` contained within it has finished being loaded.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html